<div class="partnerinfo-banner">
  <% if link = banner['link'] %>
    <% link_to banner['link'] do %>
      <%
      options = {
        title: banner['titel'],
        width: 250,
        class: 'partnerinfo__img'
      }
      if banner['size'] then
        options[:width] = banner['size'][0]
        options[:height] = banner['size'][1]
      end
      %>
      <%= image_tag banner['img'], options %>
    <% end %>
  <% elsif html = banner['html'] %>
    <%= html.html_safe %>
  <% end %>
</div>
